<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>Document</title>
</head>

<body>

	<input type="text" placeholder="Ciudad" id="ciudad">
	<button onclick="consultarNombre()">Buscar</button>
	<button onclick="consultarUbicacion()">Ubicación actual</button>

	<hr>

	<br>
	<label id="nombre"></label> <br>
	<label id="descripcion"></label> <br>
	<hr>
	Temperatura <label id="temp"></label> <br>
	Humedad <label id="humedad"></label> <br>
	Viento <label id="viento"></label> <br>

	<br>
	<br>

	<script>
		let api_key = '1b2cae9e94f9a76b9dd19b0943611875';

		async function consultarNombre() {
			let nombre = document.getElementById('ciudad').value;
			let res = await fetch(`http://api.openweathermap.org/data/2.5/weather?q=${nombre}&appid=${api_key}`)
				.then(res => res.json());

			console.log(res);
			mostrarInfo(res.weather[0].description, res.main.temp, res.main.humidity, res.wind.speed, res.name);
		}

		function consultarUbicacion() {
			navigator.geolocation.getCurrentPosition(async (pos) => {
				let lat = pos.coords.latitude;
				let lng = pos.coords.longitude;
				let res = await fetch(`http://api.openweathermap.org/data/2.5/weather?lat=${lat}&lon=${lng}&appid=${api_key}`)
					.then(res => res.json());
				console.log(res);
				mostrarInfo(res.weather[0].description, res.main.temp, res.main.humidity, res.wind.speed, res.name);
			});
		}

		function mostrarInfo(descr, temp, humedad, viento, nombre) {
			document.getElementById('nombre').innerText = nombre;
			document.getElementById('temp').innerText = (temp - 273.15).toFixed(2) + '°C';
			document.getElementById('descripcion').innerText = descr;
			document.getElementById('humedad').innerText = humedad + '%';
			document.getElementById('viento').innerText = viento + ' m/s';
		}

		// fetch(`http://api.openweathermap.org/data/2.5/weather?q=London&appid=${api_key}`)
		// 	.then(res => res.json()).then(res => console.log(res));

	</script>

</body>

</html>